"use client";
import BannerHumas from "@/components/landing/BannerHumas";
import BodyLayout from "@/components/landing/BodyLayout";
import HeaderNews from "@/components/landing/HeaderNews";
import { HumasLayout } from "@/components/layout/humas-layout";
import { useEffect, useState } from "react";

export default function Home() {
  const [hasMounted, setHasMounted] = useState(false);

  useEffect(() => {
    setHasMounted(true);
  }, []);

  // Render
  if (!hasMounted) return null;

  return (
    <>
      <HumasLayout>
        <BannerHumas />
        <HeaderNews />
        <BodyLayout />
      </HumasLayout>
    </>
  );
}
